Subject: TCP Mapping

From: "Liu, Hong" <[email-masked]>
Date: Fri, 28 Jun 2002 16:54:48 -0500

Scott,

I would like to know whether it is still possible to make changes to the TCP
mapping document at this point. We have been working on a draft for EPP TCP
PUSH extension, as we promised before. Sorry, we missed the -00 deadline
this time...

There are a number of ways to do it, but we find it the simplest to use the
Total Length header of the EPP datagram in the TCP mapping to differentiate
the server-pushed message from other messages. We are considering using only
the highest bit in the header, but maybe a better way is to reserve the
highest octet for other extensions. EPP messages do not need 2^32-1 octects,
2^24-1 should be sufficiently large. What do you think?

We would also like to hear from you and others on the list about other
alternatives. Thanks!

--Hong